package mainapp;

public class UserInfoHelper {
    private int userID;
    private float totalOlivesWeight;
    private float totalOilWeight;
    private float averageAcidity;
    private float income;
    
    public UserInfoHelper(int userId, float totalOlivesWeight, float totalOilWeight, float averageAcidity, float income) {
        this.userID = userId;
        this.totalOlivesWeight = totalOlivesWeight;
        this.totalOilWeight = totalOilWeight;
        this.averageAcidity = averageAcidity;
        this.income = income;
    }

    /**
     * @return the userID
     */
    public int getUserID() {
        return userID;
    }

    /**
     * @param userID the userID to set
     */
    public void setUserID(int userID) {
        this.userID = userID;
    }

    /**
     * @return the totalOlivesWeight
     */
    public float getTotalOlivesWeight() {
        return totalOlivesWeight;
    }

    /**
     * @param totalOlivesWeight the totalOlivesWeight to set
     */
    public void setTotalOlivesWeight(float totalOlivesWeight) {
        this.totalOlivesWeight = totalOlivesWeight;
    }

    /**
     * @return the totalOilWeight
     */
    public float getTotalOilWeight() {
        return totalOilWeight;
    }

    /**
     * @param totalOilWeight the totalOilWeight to set
     */
    public void setTotalOilWeight(float totalOilWeight) {
        this.totalOilWeight = totalOilWeight;
    }

    /**
     * @return the averageAcidity
     */
    public float getAverageAcidity() {
        return averageAcidity;
    }

    /**
     * @param averageAcidity the averageAcidity to set
     */
    public void setAverageAcidity(float averageAcidity) {
        this.averageAcidity = averageAcidity;
    }

    /**
     * @return the income
     */
    public float getIncome() {
        return income;
    }

    /**
     * @param income the income to set
     */
    public void setIncome(float income) {
        this.income = income;
    }
}
